List ElevenLabs models

This endpoint returns the available ElevenLabs LLM models and safe capabilities for use with agents.

GET /Agent/elevenlabs-llms

This endpoint returns the available ElevenLabs LLM models and safe capabilities for use with agents.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

This operation has no path, query, or header parameters.

Request body

This operation does not accept a request body.

Example request

curl --request GET \
  --url 'https://api.zild.ai/Agent/elevenlabs-llms' \
  --header 'X-API-Key: YOUR_USER_API_KEY'

Responses

StatusDescriptionResponse body
200Successfully returned LLMsapplication/json · array<ElevenLabsLlmDto>

Example response (200):

[
  {
    "llm": "string",
    "maxTokensLimit": 0,
    "availableReasoningEfforts": [
      "string"
    ]
  }
]

Data models

ElevenLabsLlmDto
PropertyTypeRequiredDescriptionConstraints
llmstringNo—nullable
maxTokensLimitinteger · int32No—nullable
availableReasoningEffortsarray<string>No—nullable